API referenceTickets
Post Ticket Panel
POST
/api/v1/servers/{guild}/tickets/panelAuthorization
session invarn_session<token>
In: cookie
Path Parameters
guild*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/servers/string/tickets/panel" \ -H "Content-Type: application/json" \ -d '{ "channel": "string" }'{ "settings": { "guild": "string", "panelChannel": "string", "panelMessage": "string", "panelText": "string", "welcomeText": "string", "pingStaff": true, "remindAfter": 0, "closeAfter": 0, "blacklist": [ "string" ] }, "types": [ { "id": "string", "name": "string", "emoji": "string", "description": "string", "oneOpen": true, "staffRoles": [ "string" ], "questions": [ { "label": "string", "placeholder": "string", "long": true, "required": true } ] } ]}